## libircclient-qt 0.5.0.3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: libircclient-qt.so.0.5.0
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Sat Oct 9 16:03:32 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Oct 10 16:07:52 2010
 # Project:  libircclient-qt.pro
 # Template: lib
 # Command: /usr/bin/qmake -unix -config release -config no_icu -config no_deprecated -o Makefile libircclient-qt.pro
@@ -297,4 +297,3 @@
 	-$(INSTALL_FILE) include/ircbuffer.h $(INSTALL_ROOT)/usr/include/ircclient-qt/
 	-$(INSTALL_FILE) include/ircdccsession.h $(INSTALL_ROOT)/usr/include/ircclient-qt/
 	-$(INSTALL_FILE) include/ircglobal.h $(INSTALL_ROOT)/usr/include/ircclient-qt/
-	-$(INSTALL_FILE) include/ircsession.h $(INSTALL_ROOT)/usr/include/ircclient-qt/
