## libircclient-qt 0.5.0.4

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: libircclient-qt.so.0.5.0
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Oct 10 16:07:52 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Oct 10 18:12:54 2010
 # Project:  libircclient-qt.pro
 # Template: lib
 # Command: /usr/bin/qmake -unix -config release -config no_icu -config no_deprecated -o Makefile libircclient-qt.pro
@@ -280,20 +280,17 @@
 ####### Install
 
 install_mkspecs: first FORCE
-	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/qt4/mkspecs/features/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/qt4/mkspecs/features/ 
-	-$(INSTALL_FILE) libircclient-qt.prf $(INSTALL_ROOT)/usr/share/qt4/mkspecs/features/
-	-$(INSTALL_FILE) libircclient-qt-config.prf $(INSTALL_ROOT)/usr/share/qt4/mkspecs/features/
+	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/debian/libircclient-qt/usr/share/qt4/mkspecs/features/ || $(MKDIR) $(INSTALL_ROOT)/debian/libircclient-qt/usr/share/qt4/mkspecs/features/ 
+	-$(INSTALL_FILE) libircclient-qt.prf $(INSTALL_ROOT)/debian/libircclient-qt/usr/share/qt4/mkspecs/features/
+	-$(INSTALL_FILE) libircclient-qt-config.prf $(INSTALL_ROOT)/debian/libircclient-qt/usr/share/qt4/mkspecs/features/
 
 
 uninstall_mkspecs:  FORCE
-	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/qt4/mkspecs/features/libircclient-qt.prf 
-	 -$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/qt4/mkspecs/features/libircclient-qt-config.prf
-	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/qt4/mkspecs/features/ 
+	-$(DEL_FILE) -r $(INSTALL_ROOT)/debian/libircclient-qt/usr/share/qt4/mkspecs/features/libircclient-qt.prf 
+	 -$(DEL_FILE) -r $(INSTALL_ROOT)/debian/libircclient-qt/usr/share/qt4/mkspecs/features/libircclient-qt-config.prf
+	-$(DEL_DIR) $(INSTALL_ROOT)/debian/libircclient-qt/usr/share/qt4/mkspecs/features/ 
 
 
 install_headers: first FORCE
-	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/include/ircclient-qt/ || $(MKDIR) $(INSTALL_ROOT)/usr/include/ircclient-qt/ 
-	-$(INSTALL_FILE) include/irc.h $(INSTALL_ROOT)/usr/include/ircclient-qt/
-	-$(INSTALL_FILE) include/ircbuffer.h $(INSTALL_ROOT)/usr/include/ircclient-qt/
-	-$(INSTALL_FILE) include/ircdccsession.h $(INSTALL_ROOT)/usr/include/ircclient-qt/
-	-$(INSTALL_FILE) include/ircglobal.h $(INSTALL_ROOT)/usr/include/ircclient-qt/
+	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/debian/libircclient-qt/usr/include/ircclient-qt/ || $(MKDIR) $(INSTALL_ROOT)/debian/libircclient-qt/usr/include/ircclient-qt/ 
+	-$(INSTALL_FILE) include/irc.h $(INSTALL_ROOT)/debian/libircclient-qt/usr/include/ircclient-qt/
