## libircclient-qt 0.5.0.5

=== Makefile ===
--- 
+++ 
@@ -280,17 +280,18 @@
 ####### Install
 
 install_mkspecs: first FORCE
-	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/debian/libircclient-qt/usr/share/qt4/mkspecs/features/ || $(MKDIR) $(INSTALL_ROOT)/debian/libircclient-qt/usr/share/qt4/mkspecs/features/ 
-	-$(INSTALL_FILE) libircclient-qt.prf $(INSTALL_ROOT)/debian/libircclient-qt/usr/share/qt4/mkspecs/features/
-	-$(INSTALL_FILE) libircclient-qt-config.prf $(INSTALL_ROOT)/debian/libircclient-qt/usr/share/qt4/mkspecs/features/
+	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)debian/libircclient-qt/usr/share/qt4/mkspecs/features/ || $(MKDIR) $(INSTALL_ROOT)debian/libircclient-qt/usr/share/qt4/mkspecs/features/ 
+	-$(INSTALL_FILE) libircclient-qt.prf $(INSTALL_ROOT)debian/libircclient-qt/usr/share/qt4/mkspecs/features/
+	-$(INSTALL_FILE) libircclient-qt-config.prf $(INSTALL_ROOT)debian/libircclient-qt/usr/share/qt4/mkspecs/features/
 
 
 uninstall_mkspecs:  FORCE
-	-$(DEL_FILE) -r $(INSTALL_ROOT)/debian/libircclient-qt/usr/share/qt4/mkspecs/features/libircclient-qt.prf 
-	 -$(DEL_FILE) -r $(INSTALL_ROOT)/debian/libircclient-qt/usr/share/qt4/mkspecs/features/libircclient-qt-config.prf
-	-$(DEL_DIR) $(INSTALL_ROOT)/debian/libircclient-qt/usr/share/qt4/mkspecs/features/ 
+	-$(DEL_FILE) -r $(INSTALL_ROOT)debian/libircclient-qt/usr/share/qt4/mkspecs/features/libircclient-qt.prf 
+	 -$(DEL_FILE) -r $(INSTALL_ROOT)debian/libircclient-qt/usr/share/qt4/mkspecs/features/libircclient-qt-config.prf
+	-$(DEL_DIR) $(INSTALL_ROOT)debian/libircclient-qt/usr/share/qt4/mkspecs/features/ 
 
 
 install_headers: first FORCE
-	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/debian/libircclient-qt/usr/include/ircclient-qt/ || $(MKDIR) $(INSTALL_ROOT)/debian/libircclient-qt/usr/include/ircclient-qt/ 
-	-$(INSTALL_FILE) include/irc.h $(INSTALL_ROOT)/debian/libircclient-qt/usr/include/ircclient-qt/
+	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)debian/libircclient-qt/usr/include/ircclient-qt/ || $(MKDIR) $(INSTALL_ROOT)debian/libircclient-qt/usr/include/ircclient-qt/ 
+	-$(INSTALL_FILE) include/irc.h $(INSTALL_ROOT)debian/libircclient-qt/usr/include/ircclient-qt/
+	-$(INSTALL_FILE) include/ircbuffer.h $(INSTALL_ROOT)debian/libircclient-qt/usr/include/ircclient-qt/
