## libircclient-qt 0.5.0.8-1

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #############################################################################
 # Makefile for building: libircclient-qt.so.0.5.0
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Oct 10 18:12:54 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Wed Oct 13 22:25:46 2010
 # Project:  libircclient-qt.pro
 # Template: lib
-# Command: /usr/bin/qmake -unix -config release -config no_icu -config no_deprecated -o Makefile libircclient-qt.pro
+# Command: /usr/bin/qmake -unix -config no_icu -config no_deprecated -o Makefile libircclient-qt.pro
 #############################################################################
 
 ####### Compiler, tools and options
@@ -153,7 +153,7 @@
 		/usr/lib/libQtDBus.prl \
 		/usr/lib/libQtXml.prl \
 		/usr/lib/libQtCore.prl
-	$(QMAKE) -unix -config release -config no_icu -config no_deprecated -o Makefile libircclient-qt.pro
+	$(QMAKE) -unix -config no_icu -config no_deprecated -o Makefile libircclient-qt.pro
 /usr/share/qt4/mkspecs/common/unix.conf:
 /usr/share/qt4/mkspecs/common/linux.conf:
 /usr/share/qt4/mkspecs/qconfig.pri:
@@ -178,7 +178,7 @@
 /usr/lib/libQtXml.prl:
 /usr/lib/libQtCore.prl:
 qmake:  FORCE
-	@$(QMAKE) -unix -config release -config no_icu -config no_deprecated -o Makefile libircclient-qt.pro
+	@$(QMAKE) -unix -config no_icu -config no_deprecated -o Makefile libircclient-qt.pro
 
 dist: 
 	@$(CHK_DIR_EXISTS) release/ircclient-qt0.5.0 || $(MKDIR) release/ircclient-qt0.5.0 
@@ -280,18 +280,21 @@
 ####### Install
 
 install_mkspecs: first FORCE
-	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)debian/libircclient-qt/usr/share/qt4/mkspecs/features/ || $(MKDIR) $(INSTALL_ROOT)debian/libircclient-qt/usr/share/qt4/mkspecs/features/ 
-	-$(INSTALL_FILE) libircclient-qt.prf $(INSTALL_ROOT)debian/libircclient-qt/usr/share/qt4/mkspecs/features/
-	-$(INSTALL_FILE) libircclient-qt-config.prf $(INSTALL_ROOT)debian/libircclient-qt/usr/share/qt4/mkspecs/features/
+	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/qt4/mkspecs/features/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/qt4/mkspecs/features/ 
+	-$(INSTALL_FILE) libircclient-qt.prf $(INSTALL_ROOT)/usr/share/qt4/mkspecs/features/
+	-$(INSTALL_FILE) libircclient-qt-config.prf $(INSTALL_ROOT)/usr/share/qt4/mkspecs/features/
 
 
 uninstall_mkspecs:  FORCE
-	-$(DEL_FILE) -r $(INSTALL_ROOT)debian/libircclient-qt/usr/share/qt4/mkspecs/features/libircclient-qt.prf 
-	 -$(DEL_FILE) -r $(INSTALL_ROOT)debian/libircclient-qt/usr/share/qt4/mkspecs/features/libircclient-qt-config.prf
-	-$(DEL_DIR) $(INSTALL_ROOT)debian/libircclient-qt/usr/share/qt4/mkspecs/features/ 
+	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/qt4/mkspecs/features/libircclient-qt.prf 
+	 -$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/qt4/mkspecs/features/libircclient-qt-config.prf
+	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/qt4/mkspecs/features/ 
 
 
 install_headers: first FORCE
-	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)debian/libircclient-qt/usr/include/ircclient-qt/ || $(MKDIR) $(INSTALL_ROOT)debian/libircclient-qt/usr/include/ircclient-qt/ 
-	-$(INSTALL_FILE) include/irc.h $(INSTALL_ROOT)debian/libircclient-qt/usr/include/ircclient-qt/
-	-$(INSTALL_FILE) include/ircbuffer.h $(INSTALL_ROOT)debian/libircclient-qt/usr/include/ircclient-qt/
+	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/include/ircclient-qt/ || $(MKDIR) $(INSTALL_ROOT)/usr/include/ircclient-qt/ 
+	-$(INSTALL_FILE) include/irc.h $(INSTALL_ROOT)/usr/include/ircclient-qt/
+	-$(INSTALL_FILE) include/ircbuffer.h $(INSTALL_ROOT)/usr/include/ircclient-qt/
+	-$(INSTALL_FILE) include/ircdccsession.h $(INSTALL_ROOT)/usr/include/ircclient-qt/
+	-$(INSTALL_FILE) include/ircglobal.h $(INSTALL_ROOT)/usr/include/ircclient-qt/
+	-$(INSTALL_FILE) include/ircsession.h $(INSTALL_ROOT)/usr/include/ircclient-qt/
