=== debian/changelog ===
libircclient-qt (0.5.0.8-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Felipe Crochik <libircclient-qt@crochik.com>  Thu, 14 Oct 2010 07:44:47 -0400
