## libircclient-qt 0.5.0.9

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: libircclient-qt.so.0.5.0
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Wed Oct 13 22:25:46 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu Oct 28 13:21:38 2010
 # Project:  libircclient-qt.pro
 # Template: lib
 # Command: /usr/bin/qmake -unix -config no_icu -config no_deprecated -o Makefile libircclient-qt.pro
