=== debian/changelog ===
libircclient-qt (0.5.0.9) unstable; urgency=low

  * ????

 -- Felipe Crochik <libircclient-qt@crochik.com>  Thu, 28 Oct 2010 13:27:07 -0400
