=== debian/control ===
Source: libircclient-qt
Section: libs
Priority: optional
Maintainer: Felipe Crochik <communi@crochik.com>
XSBC-Original-Maintainer: J-P Nurmi <jpnurmi@gmail.com>
XSBC-Bugtracker: mailto:libircclient-qt@crochik.com
Build-Depends: debhelper (>= 5), libqt4-dev, libgconf2-dev
Standards-Version: 3.7.2

Package: libircclient-qt
Architecture: any
Depends: libqt4-gui, libqt4-network
Description: A library to access IRC
 A library to enable Qt applications to
 access and use IRC.
 .
 Further Information: 
 http://bitbucket.org/jpnurmi/libircclient-qt
 Bug tracker: http://bitbucket.org/jpnurmi/libircclient-qt/issues
 IRC channel: #communi on irc.freenode.net

Package: libircclient-qt-dev
Architecture: any
Depends: libqt4-gui, libqt4-network, libircclient-qt
Description: A library to access IRC
 A library to enable Qt applications to
 access and use IRC.
 .
 Further Information: 
 http://bitbucket.org/jpnurmi/libircclient-qt
 Bug tracker: http://bitbucket.org/jpnurmi/libircclient-qt/issues
 IRC channel: #communi on irc.freenode.net
